package com.mmbnetworks.upgrade;

public interface ISerialUpgradeNotification {
    static final public byte SUBERROR_INVALID_MANUFACTURER_ID = (byte)0x00;
    static final public byte SUBERROR_INVALID_TARGET_EUI64 = (byte)0x01;
    static final public byte SUBERROR_OUT_OF_ORDER_TRANSMISSION = (byte)0x02;
    static final public byte SUBERROR_INVALID_LOCAL_IMAGE = (byte)0x03;
    static final public byte SUBERROR_NO_APP_BOOTLOADER = (byte)0x04;
    static final public byte SERIAL_UPGRADE_FAILED_WRONG_START_STATE = (byte)0x05;
    static final public byte SERIAL_UPGRADE_FAILED_ERROR_OPENING_FILE = (byte)0x06;
    static final public byte SERIAL_UPGRADE_FAILED_ERROR_TIMEOUT = (byte)0x07;
    static final public byte SERIAL_UPGRADE_FAILED_UNKNOWN = (byte)0x08;
    static final public byte SERIAL_UPGRADE_FAILED_LOCAL_FILE_ERROR = (byte)0x09;

    public void notifyUpgradeSuccess();
    public void notifyUpgradeFailed(int errorCode);
}
