package com.mmbnetworks.devicetable;

import com.mmbnetworks.serial.rha.zdomessages.RHAZDODeviceAnnounceReceived;

public class DeviceTable {
    
    private static final int DEVICE_TYPE_FIELD = 1;
    
    public DeviceTable() {
        
    }
    
    public void handleDeviceAnnounce(final RHAZDODeviceAnnounceReceived frame) {
        // TODO: replace with your own device table logic
        System.out.println("---> Device has joined the network <---");
        System.out.println("---> Node Id: " + frame.getNodeID().toString());
        System.out.println("---> EUI64: " + frame.getEui64().toString());
        if ( frame.getCapability().isBitSet(DEVICE_TYPE_FIELD) ) {
            System.out.println("---> Device Type: Full Functionality Device");
        } else {
            System.out.println("---> Device Type: Reduced Functionality Device");
        }
    }
    
}
